html{
    height:100%;
}

body{
    height:100%;
    background-color: black;
    background-image: url("../assets/backgrounds/main.webp");
    background-position: center; /* Center the image */
    background-repeat: no-repeat; /* Do not repeat the image */
    background-size: cover; /* Resize the background image to cover the entire container */

    margin: 0px;
    padding: 0px;

    font-family: sans-serif;
    /* Use browser default font size and scale accordingly */
}

main{
    height: 100%;
    margin-bottom: -60px;
}

a{
    color:black;
}

a:hover{
    background-color: yellow;
}

.small{
    font-size:35px;
}


::selection{
    background: yellow;
}


/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * 

        Main content

* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * */

#home-banner{
    max-width: 100vw;
    margin-left: 30px;
    
    position: absolute;
    top: 40%;
    -ms-transform: translateY(-40%);
    transform: translateY(-40%);
}

h1{
    padding:0px;
    margin-bottom: 0px;
    
    font-size: 130pt;
    line-height:172pt;
}

h2{
    font-weight:lighter;
    margin-top:80px;
    font-size:40pt;
    line-height:50pt;
}

span.cutout{
    background-color: white;
}

h1 span.cutout{
    padding: 5px 8px;
}

h2 span.cutout{
    padding: 2px 6px;
}


/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * 

        Footer

* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * */

footer{
    height: 60px;
    background-color:rgba(50, 50, 50, 0.55);
}

#attribution-bar{
    padding-top: .4em;
    padding-right: 15px;
    text-align:right;

    font-family:"Caveat", sans-serif;
    font-size: 22pt;
    color: #aaa;
}

#attribution-bar a{
    color:inherit;
}

.byline{
    color:#888888;
    display:block;
    padding-top:4px;
    font-size:0.6em;
}


/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * 

        Imagery toggle

* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * */

/* div container to hold the toggle, used in Javascript */
#image-switch{
    float:right;
    margin:50px;
}

/* The actual size of the toggle image. Different for desktop and mobile. */
#toggle{
    width: 110px;
}


.tooltipText{
    visibility: hidden;
    width: 155px;

    background-color: rgba(255, 255, 255, 0.8);
    color: #555;
    text-align: center;
    font-style:oblique;
    padding: 2px 2px 3px 3px;
    border-radius: 4px;
    border: 1px dotted rgb(89, 21, 145);
    position: absolute;
    z-index: 1;
    top: 0px;
    right: 115%;
}

.tooltip {
    position: relative;
    display: inline-block;
}

@media only screen and (min-device-width:450px){

    h1{
        font-size:8vw;
        line-height:10vw; 
    }
    
    h2{
        margin-top:20pt;
        font-size:3vw;
        line-height:4vw;
    }
    
    h1 span.cutout{
        padding: 5px 8px;
    }
    
    h2 span.cutout{
        padding: 2px 6px;
    }
    
    #toggle{
        width:40px;
    }
    
    #image-switch{
        margin:20px;
    }
    
    .small{
        font-size:9pt;
    }
    
    .tooltip:hover .tooltipText {
        visibility: visible;
    }
    
    main{
        margin-bottom: -30px;
    }
    
    footer{
        height: 30px;
        background-color:rgba(50, 50, 50, 0.55);
    }

    #attribution-bar{
        padding-top: .4em;
        padding-right: 15px;
        text-align:right;

        font-family:"Caveat", sans-serif;
        font-size: .85em;
        color: #aaa;
    }
}


@media only screen and (max-width:449px){
    #toggle{
        width:40px;
    }
    
    #image-switch{
        margin:20px;
    }
    
    h1{
        font-size:36pt;
        line-height:45pt; 
    }
    
    h2{
        margin-top:20pt;
        font-size:15pt;
        line-height:19pt;
    }
    
    h1 span.cutout{
        padding: 5px 8px;
    }
    
    h2 span.cutout{
        padding: 2px 6px;
    }
    
    .small{
        font-size:9pt;
    }
    
    .tooltip:hover .tooltipText {
        visibility: visible;
    }
    
    main{
        margin-bottom: -30px;
    }
    
    footer{
        height: 30px;
        background-color:rgba(50, 50, 50, 0.55);
    }

    #attribution-bar{
        padding-top: .4em;
        padding-right: 15px;
        text-align:right;

        font-family:"Caveat", sans-serif;
        font-size: .85em;
        color: #aaa;
    }
}


